Bug 1568377 - test_templates_negative.TemplateYAMLNegativeTestJSON attempts to connect to external service
Summary: test_templates_negative.TemplateYAMLNegativeTestJSON attempts to connect to e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: zstream
: 8.0 (Liberty)
Assignee: Chandan Kumar
QA Contact: Martin Kopec
URL:
Whiteboard:
Depends On:
Blocks: 1568839
TreeView+ depends on / blocked
 
Reported: 2018-04-17 11:31 UTC by Attila Fazekas
Modified: 2018-07-05 12:29 UTC (History)
7 users (show)

Fixed In Version: openstack-tempest-liberty-20160413.4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1568839 (view as bug list)
Environment:
Last Closed: 2018-07-05 12:29:07 UTC
Target Upstream Version:
mkopec: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 392885 0 None master: MERGED tempest: Do not have heat to connect to external service (Ib198164e544a2bf8426778e39bb616aaa468087c) 2018-05-29 14:12:12 UTC
Red Hat Product Errata RHBA-2018:2133 0 None None None 2018-07-05 12:29:30 UTC

Description Attila Fazekas 2018-04-17 11:31:01 UTC
The test_templates_negative haves heat to connect to an external service. www.example.com is a registered existing domain, and it also has an AAAA record.

But if you do not have external ipv6 connectivity the test fails after a long time.

Tempest should not depends on the example.org behavior.

Comment 9 Martin Kopec 2018-06-07 10:05:28 UTC
The issue was resolved in the new version of openstack-tempest-liberty package. Tested by an internal Jenkins jobs with director_puddle: 2018-06-05.1.

Comment 12 errata-xmlrpc 2018-07-05 12:29:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2133


Note You need to log in before you can comment on or make changes to this bug.